Last Comment Bug 769588 - Port bug 722872 - call the Init method after creating nsITransferable
: Port bug 722872 - call the Init method after creating nsITransferable
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Address Book (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on: 722872
Blocks: 769603 769882
  Show dependency treegraph
 
Reported: 2012-06-29 03:06 PDT by Mark Banner (:standard8)
Modified: 2012-10-01 14:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed


Attachments
The fix (3.78 KB, patch)
2012-10-01 13:05 PDT, Mark Banner (:standard8)
irving: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2012-06-29 03:06:47 PDT
+++ This bug was initially created as a clone of Bug #722872 +++

I have already done a minor port here to fix bustage:

http://hg.mozilla.org/comm-central/rev/4e4cd1fb04c3

We need to fix the rest of the instances in mailnews and mail

http://mxr.mozilla.org/comm-central/search?string=nsITransferable&find=mail&findi=&filter=^[^\0]*%24&hitlimit=&tree=comm-central

Should be reasonable simple to do, attachment 636714 [details] [diff] [review] has plenty of examples as well.
Comment 1 :aceman 2012-06-29 03:31:21 PDT
I do not understand what should be the argument to .init().
Comment 2 :Ehsan Akhgari (away Aug 1-5) 2012-06-29 08:52:13 PDT
The argument to init() is the load context for the docshell to which the transferable belongs.
Comment 3 Serge Gautherie (:sgautherie) 2012-07-05 04:36:37 PDT
"Found 5 matching lines in 2 files"
Comment 4 Mark Banner (:standard8) 2012-10-01 13:05:47 PDT
Created attachment 666666 [details] [diff] [review]
The fix

Ok, so the best I can work out is that bug 722872 doesn't affect us in the release mode state, but it does affect us in debug.

Strictly speaking this probably therefore isn't required for 16, but I'd feel more comfortable having it in, as a) we won't get people building debug complaining about the assertions and b) if something did happen to change in a security release that really required the init, we'd be protected without having to do extra work.
Comment 5 Mark Banner (:standard8) 2012-10-01 13:06:13 PDT
Oh, and this is basically porting the work directly from bug 722872 to the cases where we use it.
Comment 6 Mark Banner (:standard8) 2012-10-01 13:43:31 PDT
Checked in: https://hg.mozilla.org/comm-central/rev/181d8e293518
Comment 7 Mark Banner (:standard8) 2012-10-01 13:44:55 PDT
Comment on attachment 666666 [details] [diff] [review]
The fix

[Triage Comment]
Although this isn't super-necessary, I think we should take it anyway as it doesn't really affect us, but does protect us in case something weird gets added later.
Comment 9 Mike Conley (:mconley) - (Needinfo me!) 2012-10-01 14:07:23 PDT
Better late than never - I looked at the code, and yes, this looks like the right thing to do.

Note You need to log in before you can comment on or make changes to this bug.